export var commonPopoverProps = {
    /**
     * popover visible
     * 弹出框是否显示
     */
    popoverVisible: {
        type: Boolean,
        default: false,
    },
    /**
     * <el-popover> Attributes
     * 弹出框属性
     */
    popoverAttrs: {
        type: Object,
        default: function () { return {}; },
    },
    /**
     * <el-popover> Events
     * 弹出框事件
     */
    popoverListeners: {
        type: Object,
        default: function () { return {}; },
    },
};
export var controlPopoverProps = {
    lite: {
        type: Boolean,
        default: true,
    },
    /**
     * @language=zh
     * 滚动容器选择器(window直接使用window字符串), 指定时会在滚动时更新popover的位置信息
     */
    scrollWrapper: {
        type: String,
        default: '',
    },
    /**
     * @language=zh
     * 滚动debounce延迟时间
     */
    scrollDebounce: {
        type: Number,
        default: 0,
    },
    /**
     * @language=zh
     * 显示时间, 毫秒。设为 0 则不会自动关闭
     */
    duration: {
        type: Number,
        default: 3000,
    },
};
export var popoverProps = /*#__PURE__*/ Object.assign({
    /**
     * @language=zh
     * 弹出框内容/渲染函数
     */
    popover: {
        type: [String, Function],
        default: '',
    },
}, commonPopoverProps, controlPopoverProps);
