export var textFieldProps = {
    /**
     * @language=zh
     * 前置内容字符串/渲染函数
     */
    prepend: {
        type: [String, Function],
        default: '',
    },
    /**
     * @language=zh
     * 后置内容字符串/渲染函数
     */
    append: {
        type: [String, Function],
        default: '',
    },
    /**
     * @language=zh
     * 尾部内容/渲染函数
     */
    suffix: {
        type: [String, Function],
        default: '',
    },
    /**
     * @language=zh
     * 首部内容/渲染函数
     */
    prefix: {
        type: [String, Function],
        default: '',
    },
};
export var textFieldColorProps = {
    /**
     * @language=zh
     * 选择器边框颜色
     */
    borderColor: {
        type: String,
        default: '',
    },
    /**
     * @language=zh
     * 选择器背景颜色
     */
    backgroundColor: {
        type: String,
        default: '',
    },
    /**
     * @language=zh
     * 选择器字体颜色
     */
    color: {
        type: String,
        default: '',
    },
};
export var splitModeProps = {
    /**
     * @language=zh
     * 分隔模式，双向绑定值为根据splitChar分隔的数组
     */
    split: {
        type: Boolean,
        default: false,
    },
    /**
     * @language=zh
     * 分隔字符串
     */
    splitChar: {
        type: String,
        default: ' ',
    },
};
