// @ts-ignore
import { getCurrentInstance, onMounted, onUnmounted, ref, watch, } from 'vue-demi';
export function useTextFeildColor(props) {
    var elRef = ref(null);
    function set(prop) {
        if (elRef.value) {
            elRef.value.style[prop] = props[prop];
        }
    }
    watch(function () { return props.color; }, function () {
        set('color');
    });
    watch(function () { return props.backgroundColor; }, function () {
        set('backgroundColor');
    });
    watch(function () { return props.borderColor; }, function () {
        set('borderColor');
    });
    var vm = getCurrentInstance();
    onMounted(function () {
        var _a, _b;
        // @ts-ignore
        var el = (_b = (_a = vm === null || vm === void 0 ? void 0 : vm.refs) === null || _a === void 0 ? void 0 : _a.root) === null || _b === void 0 ? void 0 : _b.$el;
        if (!el)
            return;
        elRef.value = el.querySelector('.el-input__inner')
            || el.querySelector('.el-textarea__inner');
        set('color');
        set('borderColor');
        set('backgroundColor');
    });
    onUnmounted(function () {
        elRef.value = null;
    });
}
