export declare const optionProps: {
    /**
     * @language=zh
     * 指定选项的值为选项对象的某个属性值
     */
    valueKey: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @language=zh
     * 指定选项标签为选项对象的某个属性值
     */
    labelKey: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @language=zh
     * 指定选项的子选项为选项对象的某个属性值
     */
    childrenKey: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @language=zh
     * 指定选项的禁用为选项对象的某个属性值
     */
    disabledKey: {
        type: StringConstructor;
        default: string;
    };
};
export interface IOptionProps {
    valueKey: string;
    labelKey: string;
    childrenKey: string;
    disabledKey: string;
}
