export var optionProps = {
    /**
     * @language=zh
     * 指定选项的值为选项对象的某个属性值
     */
    valueKey: {
        type: String,
        default: 'value',
    },
    /**
     * @language=zh
     * 指定选项标签为选项对象的某个属性值
     */
    labelKey: {
        type: String,
        default: 'label',
    },
    /**
     * @language=zh
     * 指定选项的子选项为选项对象的某个属性值
     */
    childrenKey: {
        type: String,
        default: 'children',
    },
    /**
     * @language=zh
     * 指定选项的禁用为选项对象的某个属性值
     */
    disabledKey: {
        type: String,
        default: 'disabled',
    },
};
