import { controlPopoverProps, } from './popover';
export var tableProps = /*#__PURE__*/ Object.assign({
    /**
     * @language=zh
     * 表格数据
     */
    data: {
        type: Array,
        default: function () { return []; },
    },
    /**
     * @language=zh
     * 表格列schema
     */
    columns: {
        type: Array,
        default: function () { return []; },
    },
    /**
     * @language=zh
     * 表格是否加载中
     */
    loading: {
        type: Boolean,
        default: false,
    },
    /**
     * @language=zh
     * 全局选中列表
     */
    selection: {
        type: Array,
        default: function () { return []; },
    },
    /**
     * @language=zh
     * 全局单元格对齐方式, left/center/right
     */
    align: {
        type: String,
        default: 'left',
    },
    /**
     * @language=zh
     * 全局表头对齐方式, left/center/right
     */
    headerAlign: {
        type: String,
        default: 'left',
    },
    /**
     * @language=zh
     * 当内容过长被隐藏时显示 tooltip
     */
    showOverflowTooltip: {
        type: Boolean,
        default: true,
    },
    /**
     * @language=zh
     * 全局列最小宽度
     */
    minWidth: {
        type: [Number, String],
        default: 100,
    },
    /**
     * @language=zh
     * 当单元格的值为空字符串/`null`/`undefined`时的后备渲染内容
     */
    placeholder: {
        type: String,
        default: '',
    },
    /**
     * @language=zh
     * 可输入组件是否回车换行
     */
    enterChangeLine: {
        type: Boolean,
        default: false,
    },
}, controlPopoverProps);
