export declare const valuePropKey: string;
export declare const valueAttrKey: string;
export declare const valueProps: {
    modelValue: {
        type: (StringConstructor | BooleanConstructor | NumberConstructor | ArrayConstructor)[];
        default: string;
    };
    value: {
        type: (StringConstructor | BooleanConstructor | NumberConstructor | ArrayConstructor)[];
        default: string;
    };
};
export interface IValueProps {
    modelValue?: string | number | boolean | Array<string | number | boolean>;
    value?: string | number | boolean | Array<string | number | boolean>;
}
export * from './option';
export * from './popover';
export * from './table';
export * from './text-field';
